import { Signer, ContractFactory, Overrides } from "ethers";
import type { Provider, TransactionRequest } from "@ethersproject/providers";
import type { PeripherySigningLib, PeripherySigningLibInterface } from "../PeripherySigningLib";
type PeripherySigningLibConstructorParams = [signer?: Signer] | ConstructorParameters<typeof ContractFactory>;
export declare class PeripherySigningLib__factory extends ContractFactory {
    constructor(...args: PeripherySigningLibConstructorParams);
    deploy(overrides?: Overrides & {
        from?: string;
    }): Promise<PeripherySigningLib>;
    getDeployTransaction(overrides?: Overrides & {
        from?: string;
    }): TransactionRequest;
    attach(address: string): PeripherySigningLib;
    connect(signer: Signer): PeripherySigningLib__factory;
    static readonly bytecode = "0x6080806040523460175760399081601c823930815050f35b5f80fdfe5f80fdfea26469706673582212207ca52f98035a271a29493481913bd2b660b4a1cda21ab68c99a7f081f14e33cd64736f6c634300081e0033";
    static readonly abi: readonly [{
        readonly type: "error";
        readonly name: "InvalidSignature";
        readonly inputs: readonly [];
    }];
    static createInterface(): PeripherySigningLibInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): PeripherySigningLib;
}
export {};
